## theme-converters 1.9

=== Makefile ===
# Makefile for wmakerthemetodeb
# Copyright (C) Steve Haslam 1999. This is free software.
# Distributable under the terms of the GNU General Public License version 2.
# See the file 'COPYING' for license text.

VERSION=1.9

prefix=/usr/local
bindir=$(prefix)/bin
mandir=$(prefix)/share/man
man1dir=$(mandir)/man1
man3dir=$(mandir)/man3
libperldir=$(prefix)/lib/perl5

all: gtkthemetodeb.1 wmakerthemetodeb.1 sawmillthemetodeb.1 libperl.3pm

clean:
	rm -f gtkthemetodeb.1 wmakerthemetodeb.1 sawmillthemetodeb.1 libperl.3pm

%.1: %
	pod2man --center="Debian" --release="$(VERSION)" --section=1 $^ > $@

libperl.3pm: Debian/ThemeConverters.pm
	pod2man --center="Debian" --release="$(VERSION)" --section=3 $^ > $@

install: all
	install -d $(DESTDIR)$(bindir)
	install -c -m 755 wmakerthemetodeb $(DESTDIR)$(bindir)
	install -c -m 755 gtkthemetodeb $(DESTDIR)$(bindir)
	install -c -m 755 sawmillthemetodeb $(DESTDIR)$(bindir)
	install -d $(DESTDIR)$(libperldir)/Debian
	install -c -m 644 Debian/ThemeConverters.pm $(DESTDIR)$(libperldir)/Debian
	install -d $(DESTDIR)$(man1dir)
	install -c -m 644 gtkthemetodeb.1 $(DESTDIR)$(man1dir)
	install -c -m 644 wmakerthemetodeb.1 $(DESTDIR)$(man1dir)
	install -c -m 644 sawmillthemetodeb.1 $(DESTDIR)$(man1dir)
	install -d $(DESTDIR)$(man3dir)
	install -c -m 644 libperl.3pm $(DESTDIR)$(man3dir)/Debian::ThemeConverters.3pm

=== debian/changelog ===
theme-converters (1.9) unstable; urgency=low

  * Support .themed directory themes for 0.60 (Closes: #53097)
  * Fix permissions of .deb directories too (Closes: #49821)
  * Added sawmillthemetodeb (Closes: #53095)

 -- Steve Haslam <araqnid@debian.org>  Thu,  6 Jan 2000 19:26:51 +0000

theme-converters (1.8) unstable; urgency=low

  * Autoflush standard output (dpkg-deb error messages appear in the
    right place)
  * Strip illegal package name characters (Closes: #48140)

 -- Steve Haslam <araqnid@debian.org>  Fri, 29 Oct 1999 22:36:06 +0100

theme-converters (1.7) unstable; urgency=low

  * NMU acknowledged, thank you Raphael (Closes: #42154)
  * FHS changes

 -- Steve Haslam <araqnid@debian.org>  Thu, 21 Oct 1999 23:32:10 +0100

theme-converters (1.6.1) unstable; urgency=low

  * NMU. Corrected the .pm file to really use Digest::MD5.
    Closes: #42154

 -- Raphael Hertzog <rhertzog@hrnet.fr>  Tue, 21 Sep 1999 19:54:00 +0200

theme-converters (1.6) unstable; urgency=low

  * Use dh_perl to generate Perl dependencies. Use libdigest-md5-perl
    instead of libmd5-perl.

 -- Steve Haslam <araqnid@debian.org>  Sat, 17 Jul 1999 02:10:59 +0100

theme-converters (1.5) unstable; urgency=low

  * Added documentation for -p option (closes:#39132)

 -- Steve Haslam <araqnid@debian.org>  Wed,  9 Jun 1999 01:05:04 +0100

theme-converters (1.4) unstable; urgency=low

  * Debian/ThemeConverters.pm: Improved regexps
  * wmakerthemetodeb: Use readlsminfo from Debian::ThemeConverters
  * Debian/ThemeConverters.pm: spliceinfo warnings use printv()
  * gtkthemethdeb: Include .lsm author information as maintainer

 -- Steve Haslam <araqnid@debian.org>  Mon,  7 Jun 1999 19:03:04 +0100

theme-converters (1.3) unstable; urgency=low

  * Debian::ThemeConverters.pm always gave program name as gtkthemetodeb
  * Added "\n" onto many die strings
  * -r option redirected stdin of child, not stdout
  * Fixed 'dpkg i ...', should be 'dpkg -i ...'
  * Strip .tar.gz, .tar or .tgz from filename to make theme name

 -- Steve Haslam <araqnid@debian.org>  Tue,  1 Jun 1999 00:13:14 +0100

theme-converters (1.2) unstable; urgency=low

  * Fixed typo and old address in copyright file.
  * Fixed spelling of "converters".

 -- Steve Haslam <araqnid@debian.org>  Thu, 13 May 1999 10:57:27 +0100

theme-convertors (1.1) unstable; urgency=low

  * Fixed centre string in manpages
  * Changed maintainer address to @debian.org

 -- Steve Haslam <araqnid@debian.org>  Wed, 12 May 1999 14:07:15 +0100

theme-convertors (1.0) unstable; urgency=low

  * Initial version.

 -- Steve Haslam <steve@arise.demon.co.uk>  Sun, 14 Feb 1999 23:45:19 +0000

Local variables:
mode: debian-changelog
End:

=== debian/control ===
Source: theme-converters
Section: x11
Priority: extra
Maintainer: Steve Haslam <araqnid@debian.org>
Standards-Version: 3.0.1

Package: theme-converters
Architecture: all
Depends: ${perl:Depends}, libdigest-md5-perl
Description: Convert WindowMaker/GTK+/Sawmill theme packages to .debs
 This takes .tar.gz files from, for example, wm.themes.org or
 gtk.themes.orig, and converts them into .deb packages.
 .
 The .deb packages it produces are acceptable for local use, but are
 not really policy-conformant, notably since they cannot reliably
 create a reasonable /usr/doc/<theme>/copyright file.
 .
 Packages made using this package are named "wmaker-<foo>-theme" for
 WindowMaker themes and "gtk-<foo>-theme" for GTK themes etc.

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper. GNU copyright 1997 by Joey Hess.
# This version is for packages that are architecture independent.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# This is the debhelper compatability version to use.
export DH_COMPAT=1

build: build-stamp
build-stamp:
	dh_testdir

	$(MAKE) prefix=/usr

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp install-stamp

	-$(MAKE) clean

	dh_clean

install: install-stamp
install-stamp: build-stamp
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	# Add here commands to install the package into debian/tmp.
	$(MAKE) DESTDIR=`pwd`/debian/tmp prefix=/usr install

	touch install-stamp

# Build architecture-independent files here.
binary-indep: build install
#	dh_testversion
	dh_testdir
	dh_testroot
#	dh_installdebconf
	dh_installdocs
	dh_installexamples
	dh_installmenu
#	dh_installemacsen
#	dh_installpam
#	dh_installinit
	dh_installcron
#	dh_installmanpages
	dh_installinfo
#	dh_undocumented
	dh_installchangelogs
	dh_link
	dh_compress
	dh_fixperms
	# You may want to make some executables suid here.
	dh_suidregister
	dh_installdeb
	dh_perl
	dh_gencontrol
	dh_md5sums
	dh_builddeb

# Build architecture-dependent files here.
binary-arch: build install
# We have nothing to do by default.

source diff:
	@echo >&2 'source and diff are obsolete - use dpkg-source -b'; false

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install
